'\" t
.\" Manual page created with latex2man
.\" NOTE: This file is generated, DO NOT EDIT.
.de Vb
.ft CW
.nf
..
.de Ve
.ft R

.fi
..
.TH "YADIFAD" "8" "2020\-09\-15" "YADIFA " "YADIFA "
.SH NAME
yadifad \- an authoritative Internet domain name server. 
.PP
.SH SYNOPSIS

.PP
yadifad
[\fB\-\-config|\-c\fP\fI configfile\fP]
[\fB\-\-daemon|\-d\fP]
[\fB\-u\fP\fI uid\fP]
[\fB\-g\fP\fI gid\fP]
[\fB\-V\fP]
[\fB\-h\fP]
.PP
.SH DESCRIPTION

yadifad
is a Domain Name System (DNS) server, part of the YADIFA distribution from EURid vzw/asbl. The latest version of YADIFA
can be found on:
.br
.ce 100
\fBhttp://www.yadifa.eu/download\fP
.ce 0

.PP
yadifad
reads the zone files from yadifad.conf, and starts up an authoritative name server. 
It listens to UDP and TCP DNS queries and returns answers from its own database. 
.PP
yadifad
knows the main DNS protocols: 
.TP
.B *
AXFR 
.TP
.B *
IXFR 
.TP
.B *
DNSSEC 
.TP
.B *
DNS Update 
.TP
.B *
NOTIFY 
.PP
.br
yadifad
works only with 1 CLASS:

.nf
.ta 3i 4.5i
Class       Value   Definition
IN          1       (Internet class)

yadifad supports following TYPES:

Type        Value   Defining RFC

A           1       1035
AAAA        28      3596
CNAME       5       1035
DNSKEY      48      4034
DS          43      4034
HINFO       12      1035
MX          15      1035
NAPTR       35      3403
NS          2       1035
NSEC        47      4034
NSEC3       50      5155
NSEC3PARAM  51      5155
PTR         12      1035
RRSIG       46      4034
SOA         6       1035
SRV         33      2782
SSHFP       44      4255
TLSA        52      6698
TXT         16      1035

Other tyes and pseudo resource records: 

*           255     1035
AXFR        252     1035
IXFR        251     1035
OPT         41      6891

.PP
.SH OPTIONS

.PP
.TP
[\fB\-\-config|\-c\fP\fI configfile\fP]
 Another config file will be used. 
.TP
[\fB\-\-daemon|\-d\fP]
 Starts the name server in daemon mode. 
.TP
[\fB\-\-uid|\-u\fP\fI uid\fP]
 Starts the name server with the given uid. 
.TP
[\fB\-\-gid|\-g\fP\fI gid\fP]
 Starts the name server with the given gid. 
.PP
.TP
[\fB\-V\fP]
 Shows version information. 
.TP
[\fB\-\-help|\-h\fP]
 Shows a help text 
.PP
.SH SIGNALS

.PP
.TP
SIGHUP 
reloads the zone and key sections in the configuration file and reloads the zone file(s) with incremented serial number, and close all log files and reopens them. 
.TP
SIGINT 
shuts down the server 
.TP
SIGTERM 
(see SIGINT) 
.PP
.SH CONFIGURATION

.PP
The yadifad.conf itself is mandatory, but can be empty. No options are needed for using yadifad DNS name server. 
.PP
The yadifad configuration options can be found in yadifad.conf.5 man page. A complete description is provided in the YADIFA 2.3.10 Reference Manual (YRM238). 
.PP
.SH FILES

.PP
.TP
yadifad.conf
 The YADIFA
configuration file. 
.TP
yadifad
 The name server binary. 
.TP
yadifad.8
 This man page. 
.TP
yadifad.conf.5
 Configuration man page for YADIFA. 
.PP
.SH SEE ALSO

.PP
\fIyadifad.conf\fP(5)
.PP
.SH REQUIREMENTS

.PP
.TP
OpenSSL 
yadifad
requires OpenSSL version 0.9.8 or later. 
.PP
.SH CHANGES

Please check the ChangeLog
file from the source code. 
.PP
.SH VERSION

.PP
Version: 2.3.10 of 2020\-09\-15\&.
.PP
.SH MAILING LISTS

.PP
There is a mailinglist for questions relating to any program in the yadifa package:
.br
.TP
.B *
\fByadifa\-users@mailinglists.yadifa.eu\fP
.br
for submitting questions/answers. 
.PP
.TP
.B *
\fBhttp://www.yadifa.eu/mailing\-list\-users\fP
.br
for subscription requests. 
.PP
If you would like to stay informed about new versions and official patches send a subscription request to 
via: 
.TP
.B *
\fBhttp://www.yadifa.eu/mailing\-list\-announcements\fP
.PP
(this is a read\-only list). 
.PP
.SH LICENSE AND COPYRIGHT

.PP
.TP
Copyright 
(C) 2011\-2020, EURid vzw/asbl
.br
B\-1831 Diegem, Belgium
.br
\fBinfo@yadifa.eu\fP
.PP
.SH AUTHORS

.PP
Gery Van Emelen 
.br
Email: \fBGery.VanEmelen@EURid.eu\fP
.br
Eric Diaz Fernandez 
.br
Email: \fBEric.DiazFernandez@EURid.eu\fP
.PP
WWW: \fBhttp://www.EURid.eu\fP
.PP
.\" NOTE: This file is generated, DO NOT EDIT.
